Package org.apache.commons.jxpath

# Class JXPathException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.commons.jxpath.JXPathException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `JXPathAbstractFactoryException`, `JXPathFunctionNotFoundException`, `JXPathInvalidAccessException`, `JXPathInvalidSyntaxException`, `JXPathNotFoundException`, `JXPathTypeConversionException`

public class JXPathException extends RuntimeException
Thrown in various situations by JXPath; may contain a nested exception.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JXPathException()`
  Constructs a new `JXPathException` with no detail mesage.
  `JXPathException(String msg)`
  Constructs a new `JXPathException` with the `String` specified as an error message.
  `JXPathException(String msg, Throwable cause)`
  Constructs a new `JXPathException` with the given `Exception` base cause and detail message.
  `JXPathException(Throwable cause)`
  Constructs a new `JXPathException` with a given `Throwable` base cause of the error.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Throwable`
  `getException()`
  Gets the actual exception (if any) that caused this exception to be raised.

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### JXPathException

    public JXPathException()
    Constructs a new `JXPathException` with no detail mesage.

  - ### JXPathException

    public JXPathException(String msg)
    Constructs a new `JXPathException` with the `String` specified as an error message.
    Parameters:
      `msg` - The error message for the exception.

  - ### JXPathException

    public JXPathException(String msg, Throwable cause)
    Constructs a new `JXPathException` with the given `Exception` base cause and detail message.
    Parameters:
      `msg` - The detail message.
      `cause` - The exception to be encapsulated in a JXPathException

  - ### JXPathException

    public JXPathException(Throwable cause)
    Constructs a new `JXPathException` with a given `Throwable` base cause of the error.
    Parameters:
      `cause` - The exception to be encapsulated in a JXPathException.

- ## Method Details

  - ### getException

    public Throwable getException()
    Gets the actual exception (if any) that caused this exception to be raised.
    Returns:
      The encapsulated exception, or null if there is none.